Viking® VK602, Microfast Model M, 8.0K, Extended Coverage, Pendent, QR/SR, 3/4" NPT, White, 135 Degree 18262MA/W Fire Sprinkler Head RFC30 RFC302 RFC43 RFC432 RFC49 RFC492 RFC581 RFC582 RFC761 RFC762 57-378-4-135
Description
57-378-4-135
• Two conduit entrances provided
UL Listed/FM Approved
200 Degree 23832ME/W Fire Sprinkler Head
large volume capacity for extra-high hazard areas with single-person transport and operation
Viking® VK602, Microfast Model M, 8.0K, Extended Coverage, Pendent, QR/SR, 3/4" NPT, White, 135 Degree 18262MA/W Fire Sprinkler Head RFC30 RFC302 RFC43 RFC432 RFC49 RFC492 RFC581 RFC582 RFC761 RFC762 57-378-4-135Viking VK602, Microfast Model M, 8. 0K, Extended Coverage, Pendent, QR SR, 3 4" NPT, White, 135 Degree 18262MA W Fire Sprinkler Head The Viking Microfast EC QREC Pendent Sprinkler VK602 is a small thermosensitive spray sprinkler available in several different finishes and temperature ratings to meet varying design requirements. This sprinkler has both standard response and quick response listings. The glass bulb operating element and special deflector
Exchange/Return Notes
- We offer a 30-day return/exchange service after receiving.
- Final sale items are not eligible for returns or exchanges.
- To process your return/exchange, please contact us at [email protected]
- Please click here for more details>>> Return & Exchange Policy
























